Retrieve a connector
const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://api.runmorph.dev/v1/connectors/{connectorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.runmorph.dev/v1/connectors/{connectorId} \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.runmorph.dev/v1/connectors/{connectorId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-api-secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runmorph.dev/v1/connectors/{connectorId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-api-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.runmorph.dev/v1/connectors/{connectorId}"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.runmorph.dev/v1/connectors/{connectorId}")
.header("x-api-key", "<api-key>")
.header("x-api-secret", "<api-key>")
.asString();{
"id": "<string>",
"name": "<string>",
"operations": [
"<string>"
],
"settings": [
{
"key": "<string>",
"type": "text",
"name": "<string>",
"required": true,
"description": "<string>",
"default": "<string>"
}
],
"cloud": {
"hasCustomCredential": true
},
"object": "connector"
}{
"message": ""
}{
"message": ""
}Retrieve a connector
GET
/
v1
/
connectors
/
{connectorId}
Retrieve a connector
const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://api.runmorph.dev/v1/connectors/{connectorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Path Parameters
⌘I